Migrate multiple agents

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_migrate
Auth

Bulk migrate agents to another cluster.

Required authorization

Privileges fleet-agents-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agents union string[] | string required
batchSize number
dryRun boolean
enrollment_token string required
settings object
ca_sha256 string
certificate_authorities string
elastic_agent_cert string
elastic_agent_cert_key string
elastic_agent_cert_key_passphrase string
headers map string to string
insecure boolean
proxy_disabled boolean
proxy_headers map string to string
proxy_url string
staging string
tags string[] · max items: 10
uri string · format: uri required

Responses

Successful response

application/json
Any of:
actionId string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}